### Function

# EDataServer util_identity_can_send

since: 3.26

#### Declaration [src]

    gboolean
    e_util_identity_can_send (
      _ESourceRegistry* registry,
      _ESource* identity_source
    )

#### Description [src]

Checks whether the `identity_source` can be used for sending, which means whether it has configures send mail source.

Available since: 3.26

#### Parameters

`registry`

  Type: `_ESourceRegistry*`

  An `ESourceRegistry`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`identity_source`

  Type: `_ESource*`

  An `ESource` with mail identity extension.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether `identity_source` can be used to send messages.